%define name       gtkmathview
%define version    0.8.0
%define release    5

%define major 0
%define libname  %mklibname %name %major
%define develname %mklibname -d %name

Summary:    C++ rendering engine for MathML documents
Name:       %name
Version:    %version
Release:    %mkrel %release
License:    GPL
Group:      Networking/WWW
Url:            http://www.cs.unibo.it/helm/mml-widget/
Source:     http://helm.cs.unibo.it/mml-widget/sources/%{name}-%{version}.tar.bz2
Source1:         gtkmathview.html.tar.bz2
Patch0: gtkmathview-0.8.0-cond-t1.patch
Patch1: gtkmathview-0.8.0-gcc43.patch
Patch2: gtkmathview-0.8.0-gcc44.patch
Patch3: gtkmathview-0.8.0-fix-link.patch
Patch4: gtkmathview-0.8.0-no-static.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires:    t1lib-devel >= 1.3
BuildRequires:    libxml2-devel >= 2.2.0
BuildRequires:    gtk+2-devel
BuildRequires:    popt-devel
BuildRequires:    libxslt-proc
Requires:         fonts-ttf-latex

%description
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %libname
Summary:   Libraries for gtkmathview
Group: System/Libraries

%description -n %libname
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %develname
Summary:  Libraries and include files for gtkmathview
Group:    Development/C++
Requires: %libname = %version libxml2-devel >= 2.4.26
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}gtkmathview0-devel < %version-%release

%description -n %develname
GtkMathView is a GTK Widget for rendering MathML documents.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
# AM_BINRELOC missing, just ignore
echo 'AC_DEFUN([AM_BINRELOC], [])' > acinclude.m4

%build
autoreconf -fi
%configure2_5x --disable-static
%make

##Add updated html reference manual##
mkdir DATA.TMP
cd DATA.TMP
tar xjf %{SOURCE1}
cd ../../..

%install
rm -rf %buildroot
%makeinstall_std
mkdir -p %buildroot/%_docdir/%name
cp -r DATA.TMP/%name.html %buildroot/%_docdir/%name

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog HISTORY INSTALL LICENSE NEWS README TODO
%config(noreplace) %_sysconfdir/gtkmathview/gtkmathview.conf.xml
%_bindir/*
%_datadir/%name
%_mandir/man1/*

%files -n %libname
%defattr(-, root, root)
%_libdir/lib*.so.%{major}
%_libdir/lib*.so.%{major}.*

%files -n %develname
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*
%_libdir/pkgconfig/*




%changelog
* Thu Mar 24 2011 philippem <philippem> 0.8.0-5.mga1
+ Revision: 77040
- remove no need glib-devel >= 1.2.10

* Thu Mar 24 2011 philippem <philippem> 0.8.0-4.mga1
+ Revision: 77030
- remove buildrequires gmetadom-devel

  + ennael <ennael>
    - clean spec file
    - imported package gtkmathview


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-4mdv2011.0
+ Revision: 610994
- rebuild

* Wed Feb 17 2010 Funda Wang <fwang@mandriva.org> 0.8.0-3mdv2010.1
+ Revision: 507035
- add pld linux patch to disable static build
- add gentoo patches to have it built
- fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.8.0-2mdv2008.1
+ Revision: 109226
- rebuild for new lzma

* Tue Oct 30 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.0-1mdv2008.1
+ Revision: 103829
- New release

* Fri Jun 22 2007 Funda Wang <fwang@mandriva.org> 0.7.8-1mdv2008.0
+ Revision: 42633
- New version
  Build against t1lib again

  + Jérôme Soyer <saispo@mandriva.org>
    - Import gtkmathview



* Mon Sep 04 2006 Jerome Soyer <saispo@mandriva.org> 0.7.7-2mdv2007.0
- Fix changelog

* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.org> 0.7.7-1mdv2007.0
- New release 0.7.7

* Fri Jul 21 2006 Charles A Edwards <eslrahc@mandriva.org> 0.7.5-6mdv2007.0
- rebuild

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.7.5-5mdk
- fix buildrequires

* Sun Jan 15 2006 Gtz Waschk <waschk@mandriva.org> 0.7.5-4mdk
- update build deps

* Mon Jan  2 2006 Gtz Waschk <waschk@mandriva.org> 0.7.5-3mdk
- fix buildrequires

* Sat Nov 26 2005 Marcel Pol <mpol@mandriva.org> 0.7.5-2mdk
- mkrel
- small cleanups

* Thu Oct 06 2005 Marcel Pol <mpol@mandriva.org> 0.7.5-1mdk
- 0.7.5

* Wed Sep 28 2005 Marcel Pol <mpol@mandriva.org> 0.7.4-2mdk
- require fonts-ttf-latex

* Mon Sep 12 2005 Gtz Waschk <waschk@mandriva.org> 0.7.4-1mdk
- fix buildrequires
- New release 0.7.4

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 0.7.3-1mdk
- fix file list
- fix buildrequires
- 0.7.3

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.4.3-4mdk
- multiarch

* Tue Jan 10 2005 Charles A Edwards <eslrahc@bellsouth.net> 0.4.3-3mdk
- rebuild without t1lib (build fails if latest is used)

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-2mdk
- spec cleanup
- fix deps
- patch for new g++

* Tue Jul 29 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.4.3-1mdk
- 0.4.3
- drop gcc Patch...merged upstream
- build --with libxml2
- Requires/BuildRequires
- rm Info Post/Postrun (info dropped in 0.4.2)

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-2mdk
- fix directory ownership

* Tue Jun 10 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.4.2-1mdk
- release 0.4.2
- rm info, no longer created 
- add gtkmathview.pc
- BuildRequires/Requires gmetadom-devel>= 0.1.8

* Mon Jun  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- move the config script to the devel package

* Sun May  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- from Charles A Edwards <eslrahc@bellsouth.net>:
  - initial Mdk release 
